// import request from "@/api/request";
import http from "@/api/http";
export default {
  // 绑定手机号码
  async bindPhone(data) {
    return http({
      url: '/login/getPhoneNumber',
      method: 'POST',
      data,
      needToken: true
    })
  },

  // 登录
  async login(data) {
    return http({
      url: '/login/wxLogin',
      method: 'POST',
      data,
      // header: {
      //   'Content-Type': 'application/x-www-form-urlencoded'
      // },
      showLoading: true
    })
  },

  // 获取公众号签名
  async getSignPackage(data) {
    return http({
      url: '/login/getSignPackage',
      method: 'POST',
      data,
      // header: {
      //   'Content-Type': 'application/x-www-form-urlencoded'
      // },
    })
  },

  // 获取用户信息
  async getUserInfo() {
    return http({
      url: '/login/getUserInfo',
      method: 'GET',
      needToken: true
    })
  },

  // 更新用户信息
  async updateUserInfo(data) {
    return http({
      url: '/login/updateUserInfo',
      method: 'POST',
      data,
      needToken: true
    })
  }
}